"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOutputNodesName = exports.getInputNodesName = exports.unlinkPorts = exports.linkPorts = exports.unlinkNodesNameToId = exports.linkNodesNameToId = exports.getInputNodes = exports.getOutputNodes = exports.getNodes = exports.getPorts = exports.getLinks = exports.createPwThread = void 0;
const library = require("./index.node");
function createPwThread(enableDebug) {
    if (enableDebug) {
        return library.createPwThread(enableDebug);
    }
    return library.createPwThread();
}
exports.createPwThread = createPwThread;
function getLinks() {
    const temp = library.getLinks();
    const links = [];
    for (let i = 0; i < temp.length; i++) {
        if (temp[i].id) {
            links.push(temp[i]);
        }
    }
    return links;
}
exports.getLinks = getLinks;
function getPorts() {
    var _a;
    const temp = library.getPorts();
    const ports = [];
    for (let i = 0; i < temp.length; i++) {
        if ((_a = temp[i]) === null || _a === void 0 ? void 0 : _a.id) {
            ports.push(temp[i]);
        }
    }
    return ports;
}
exports.getPorts = getPorts;
function getNodes() {
    var _a;
    const temp = library.getNodes();
    const nodes = [];
    for (let i = 0; i < temp.length; i++) {
        if ((_a = temp[i]) === null || _a === void 0 ? void 0 : _a.id) {
            nodes.push(temp[i]);
        }
    }
    return nodes;
}
exports.getNodes = getNodes;
function getOutputNodes() {
    var _a;
    const temp = library.getOutputNodes();
    const nodes = [];
    for (let i = 0; i < temp.length; i++) {
        if ((_a = temp[i]) === null || _a === void 0 ? void 0 : _a.id) {
            nodes.push(temp[i]);
        }
    }
    return nodes;
}
exports.getOutputNodes = getOutputNodes;
function getInputNodes() {
    var _a;
    const temp = library.getOutputNodes();
    const nodes = [];
    for (let i = 0; i < temp.length; i++) {
        if ((_a = temp[i]) === null || _a === void 0 ? void 0 : _a.id) {
            nodes.push(temp[i]);
        }
    }
    return nodes;
}
exports.getInputNodes = getInputNodes;
function linkNodesNameToId(nodeName, nodeId) {
    return library.linkNodesNameToId(nodeName, nodeId);
}
exports.linkNodesNameToId = linkNodesNameToId;
function unlinkNodesNameToId(nodeName, nodeId) {
    return library.unlinkNodesNameToId(nodeName, nodeId);
}
exports.unlinkNodesNameToId = unlinkNodesNameToId;
function linkPorts(inputPortId, outputPortId) {
    return library.linkPorts(inputPortId, outputPortId);
}
exports.linkPorts = linkPorts;
function unlinkPorts(inputPortId, outputPortId) {
    return library.unlinkPorts(inputPortId, outputPortId);
}
exports.unlinkPorts = unlinkPorts;
function getInputNodesName() {
    var _a;
    const temp = getInputNodes();
    const nodes = [];
    for (let i = 0; i < temp.length; i++) {
        nodes.push((_a = temp[i]) === null || _a === void 0 ? void 0 : _a.name);
    }
    return nodes;
}
exports.getInputNodesName = getInputNodesName;
function getOutputNodesName() {
    var _a;
    const temp = getOutputNodes();
    const nodes = [];
    for (let i = 0; i < temp.length; i++) {
        nodes.push((_a = temp[i]) === null || _a === void 0 ? void 0 : _a.name);
    }
    return nodes;
}
exports.getOutputNodesName = getOutputNodesName;
//# sourceMappingURL=index.js.map